
typedef struct
{
  unsigned char Red[16];
  unsigned char Green[16];
  unsigned char Blue[16];
} EEPROMColorMapStruct;

__eeprom EEPROMColorMapStruct EEPROMInit={
                    {0x01,0x01,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //Red
                    {0x01,0x01,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //Green
                    {0x01,0x01,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //Blue
                                          };

void EEPROMWriteByte(unsigned char Address, unsigned char Value)
{
  EEPROMAddress = Address;
  EEPROMData    = Value;
  DisableInterrupts();
  BEEPROMMasterWriteEnable = 1;
  BEEPROMWriteEnable       = 1;
  EnableInterrupts();
  while (BEEPROMWriteEnable);
}

unsigned char EEPROMReadByte(unsigned char Address)
{
  unsigned char Data;
  EEPROMAddress = Address;
  BEEPROMReadEnable = 1;
  Data = EEPROMData;
  return Data;
}

void EEPROMReadBlock(unsigned char *RAMBuffer, unsigned char Address, unsigned char Size)
{
  while (Size--)
    *RAMBuffer++ = EEPROMReadByte(Address++);
}
